LMS 4.0 FAQ and troubleshooting

 
Post new topic   Reply to topic    Last Man Standing Coop Forum Index -> 4.0 Official Tech Support and Feedback
View previous topic :: View next topic  
Author Message
calimer
Mod Team Member


Joined: 27 Aug 2004
Posts: 1949

PostPosted: Fri Mar 28, 2008 3:44 pm    Post subject: LMS 4.0 FAQ and troubleshooting Reply with quote

Question- Why do I get the error wrong game DLL API version?

You need to have the Doom 3 1.3.1 patch installed. In the Doom 3 console (ctrl alt `) it will say Doom 1.3.1.1304. Make sure it isn't 1302 or any other version.

Question- Will LMS 4.0 work with Doom 3 1.3.1 and/or the Steam version?

YES! 1.3.1 is required for this release and will not work with 1.3.0. And yes it does work with the Steam version of Doom 3!

Question- How do I install the mod?

Place the LMS file in your Doom 3 directory NOT IN BASE and then extract the file Smile It should create a lms4 folder and then you can load the mod either using LMS4.bat file in the lms4 folder or from the mod menu in Doom 3

Question- Do I need to uninstall previous versions of LMS before installing this version?

No. You do not need to uninstall any previous versions of LMS in order to install this one. Each version uses it's own folders and files so they will not interfere with each other. It is a good idea to keep the previous version because sometimes people do not update their servers quickly to the new version and if you still have the old version you can still play on those servers.

Question- Can I play ROE Coop if I don't have ROE?

No. You will need to buy ROE (Resurrection of Evil) in order to play on those servers.

Question- Why won't LMS work?

Make sure you have the LATEST Doom 3 patch installed. For windows the version is 1.3.1.

Check that you installed it to the proper directory which is your Doom 3 folder and not the Base folder. Also check for any extra pk4 files in your base folder. You need to remove any extra files or LMS 4.0 will not work. Once installed you can use the bat files in the lms35 folder. You can also load Doom 3 and then choose the mod from the mod menu. You should now be ready to kick some horde ass, enjoy.

To use the multiplatform .zip extract the folder lms35 into the Doom 3/ folder, (not in the base folder! Then click the mods button in the menu and load up lms

Extra pk4s in your doom3/base directory is what will cause the "data not in sync" or "missing files needed to connect to this server" errors.

Also if you are having any other strange problems try deleting your doomconfig.cfg in the mod folder.

The message "You are missing files required by this server and no downloads are offered" appears when you try to connect to a server?
This is caused when you try to connect to a pure server and do not have the same pk4 files as the server. If you have modified any of the regular doom3 or lms pk4 files this will occur.

If you get this message do this:

* Open LMS 4.0
* Go into the console (~) and type in "condump path.txt" (minus the quotation marks)
* Exit Doom3
* Open the file path.txt that was created in the lms3 folder (Note: The file may be in the base folder and not the lms3 folder. So if you don't see it, look in the base folder)

Near the top of the file you will see:

Loaded pk4 C:\Program Files\Doom 3\base\game01.pk4 with checksum 0x51c6981f
Loaded pk4 C:\Program Files\Doom 3\base\game02.pk4 with checksum 0xf3ec6f7
Loaded pk4 C:\Program Files\Doom 3\base\game03.pk4 with checksum 0x5d4230ea
Loaded pk4 C:\Program Files\Doom 3\base\pak000.pk4 with checksum 0x28d208f1
Loaded pk4 C:\Program Files\Doom 3\base\pak001.pk4 with checksum 0x40244be0
Loaded pk4 C:\Program Files\Doom 3\base\pak002.pk4 with checksum 0xc51ecdcd
Loaded pk4 C:\Program Files\Doom 3\base\pak003.pk4 with checksum 0xcd79d028
Loaded pk4 C:\Program Files\Doom 3\base\pak004.pk4 with checksum 0x765e4f8b
Loaded pk4 C:\Program Files\Doom 3\base\pak005.pk4 with checksum 0x8ffc3621
Loaded pk4 C:\Program Files\Doom 3\base\pak006.pk4 with checksum 0x95b65ab
Loaded pk4 C:\Program Files\Doom 3\base\pak007.pk4 with checksum 0x666bdb3c
Loaded pk4 C:\Program Files\Doom 3\base\pak008.pk4 with checksum 0x23ae5993
(Note: These d3xp files are only loaded if you have ROE and are trying to run ROE Coop)
Loaded pk4 C:\Program Files\Doom3\d3xp\game00.pk4 with checksum 0xb8125946
Loaded pk4 C:\Program Files\Doom3\d3xp\game01.pk4 with checksum 0x1d7a5326
Loaded pk4 C:\Program Files\Doom3\d3xp\game02.pk4 with checksum 0xa498eba2
Loaded pk4 C:\Program Files\Doom3\d3xp\game03.pk4 with checksum 0x4b2d5776
Loaded pk4 C:\Program Files\Doom3\d3xp\pak000.pk4 with checksum 0x3003a1eb
Loaded pk4 C:\Program Files\Doom3\d3xp\pak001.pk4 with checksum 0x38a5e7d5
(End of ROE files)
Loaded pk4 C:\Program Files\Doom 3\lms4\game_lms400.pk4 with checksum 0xc8ac4eac
Loaded pk4 C:\Program Files\Doom 3\lms4\game_lms401.pk4 with checksum 0x599f5605
Loaded pk4 C:\Program Files\Doom 3\lms4\game_lms402.pk4 with checksum 0x53f98da8
Loaded pk4 C:\Program Files\Doom 3\lms4\lms4.pk4 with checksum 0x572333f6

If there are any other files listed other than those above, they need to be removed. Also verify that the checksum of your files are the same as listed above. If any are different then that means it has been modified and you will need to reinstall the file.

What does the error "ERROR: wrong game DLL API version" mean?

It means that either you do not have 1.3.1 properly installed or you don't have the right version of LMS installed. Note: LMS 4.0 will only run with the 1.3.1 patch and not the 1.3.0 patch.

Why can't I see my server on the list? and why does my server not appear on the list after some time?

Make sure you have port 27666 open on UDP and TCP If still not seeing the server type heartbeat into the console. For help in setting up a router to do this check out www.portforward.com

Question- Where is the Shoulder Flashlight that was in beta 0.1?
It has been replaced by the ability to use Infrared vision. Bind it to a key in the menu. (Note: IR only works when the gametype is LMS Mod, not SP COOP, CDoom Coop or ROE COOP)

Question- Why do monsters continue moving when they die? Is this a bug?
No, this was done to help lag. It makes quite a difference. I like to think of it as their hellish spirits still trying to attack you as their essances are being pulled from the realm of existence

Question- How do you get single player coop to work with LMS?
You can select it from the menu or set gametype to SP COOP by writing si_gameType SP COOP in console. Set map by using si_map <map>. create server with spawnServer.

For more information please check the SP coop section in the manual, and the mappers guide on how to run a server.

Question- I reinstalled Doom 3 just to play LMS coop and now I cant install the 1.3.1 patch, it says already installed!!
This topic covers how to fix the problem. http://www.forumplanet.com/planetdoom/topic.asp?fid=8327&tid=1493108

Question- When I try to turn off shadows in the menu they are still on, what do I do?
Bring down the console and input r_shadows 0 This will turn all the shadows off and dramatically improve the games performance so it is highly recommended to use. Note that you have to be a host to do this. Enable cheats with net_allowCheats 1 then turn the shadows off then net_allowcheats 0 to turn cheats off.

Question- How do I create a LMS server?

To create a listen server (where you play and are hosting) load up the mod and go to multiplayer then create server. To create a dedicated server you can use the shortcuts that were created during installation. There is one for LMS Mod and one for SP COOP For information on making a more customized server you can check out the mappers guide located in /lms/docs and/or open lmsmodserver.cfg, spcoopserver.cfg, or roecoopserver.cfg files we included, we added a lot of information.

The max players allowed is 16 but this is recommended only for lan parties. For an internet server 4 players should work alright. You can try more but you need a really good computer and internet connection to handle more than 4 over the internet.

Question- I am unable to connect to a server. I get an error stating "Data not in sync with server data". How do I fix this? - Thanks Corrupt Chocula
Doom 3 is very particular about the files that exist in your "Doom 3/base/" and "Doom 3/xxx/" folders. The contents of your folders must have the exact same PK4 files as the server in order to connect.

Question- What is that scrolling green line of the left side of the screen

That is the lagometer that was added by ID. It will display the status of your connection to the server. To remove it from the screen enter "net_clientlagometer 0" into the console.

Linux Specific

Question- My sound screws up at the menu song, what is wrong?
I had to delete .lms in my .doom3 folder, probably due to older files in there from past versions of lms.

OSX Specific

LMS 4.0 does work with Intel Macs and PPC Very Happy

Please also see the bug list for more info if you are still finding problems.

Be sure to visit us on our IRC channel and we can help you with your problem one on one.
irc.OFTC.net channel #lms-mod
---------------------
List updated with every new question asked.
_________________
Want to make your own 3D Games for Free? Free And Easy To Use Game Creation Software!! - Platinum Arts Sandbox Free 3D Game Maker
Head Organizer of Last Man Standing Coop
Check out our business page
Sign up for our newsletter!
Come and talk to us on IRC
Visit our Moddb Page
Back to top
View user's profile Send private message Send e-mail MSN Messenger
metal-lord



Joined: 20 Feb 2009
Posts: 2

PostPosted: Fri Feb 20, 2009 1:55 am    Post subject: Re: LMS 4.0 FAQ and troubleshooting Reply with quote

[quote="calimer"]Question- Why do I get the error wrong game DLL API version?

You need to have the Doom 3 1.3.1 patch installed. In the Doom 3 console (ctrl alt `) it will say Doom 1.3.1.1304. Make sure it isn't 1302 or any other version.
[/quote]

My doom version is 1302 . what can I do now ?? Question Question Question
Back to top
View user's profile Send private message
heruncle
Regular Visitor


Joined: 29 Jul 2005
Posts: 150
Location: Toronto

PostPosted: Fri Feb 20, 2009 3:01 am    Post subject: Re: LMS 4.0 FAQ and troubleshooting Reply with quote

1.3.1302 indicates that you only have v1.3. Some shady sites like to fool you into thinking that you have v1.3.1 by incorrectly labeling the v1.3 patch, so I recommend downloading from FileFront.
Back to top
View user's profile Send private message
metal-lord



Joined: 20 Feb 2009
Posts: 2

PostPosted: Sat Feb 21, 2009 5:05 am    Post subject: Re: LMS 4.0 FAQ and troubleshooting Reply with quote

[quote="heruncle"]1.3.1302 indicates that you only have v1.3. Some shady sites like to fool you into thinking that you have v1.3.1 by incorrectly labeling the v1.3 patch, so I recommend downloading from FileFront.[/quote]

I'll be so happy if u give me the link Smile . I'm new here .
Back to top
View user's profile Send private message
heruncle
Regular Visitor


Joined: 29 Jul 2005
Posts: 150
Location: Toronto

PostPosted: Sat Feb 21, 2009 5:48 am    Post subject: Reply with quote

http://www.google.com

Type "FileFront" in the text box and then click "Google Search". When you arrive at the site's home page, you can find Doom 3 under the Games tab. Make use of your browser's Find/Search function. Wink
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    Last Man Standing Coop Forum Index -> 4.0 Official Tech Support and Feedback All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
Empty or InValid Ad file




Mod Database Top 100

Doom 3 Coop Mod Last Man Standing Coop .:. Copyright Platinum Arts LLC

Powered by phpBB © 2001, 2002 phpBB Group